angular.module('beamng.stuff')

.value('showPhotomodeGrid', {
  show:false
})

.controller('PhotoModeController', ['$scope', 'Utils', 'showPhotomodeGrid', 'Environment', '$translate', function($scope, Utils, showPhotomodeGrid, Environment, $translate)  {

  //console.debug('Entering photomode')
  bngApi.engineLua("photoModeOpen = true"); // yes, this is horrible
  bngApi.engineLua("commands.setFreeCamera()")
  bngApi.engineLua("MoveManager.rollRelative = 0; core_camera.savedCameraFov = getCameraFovDeg()")
  bngApi.engineLua('Engine.NodeGrabber_setFixedNodesVisible(false)')
 // bngApi.engineLua('campaign_exploration.activemode()')
  // disable pillars autohide if in garage mode
  bngApi.engineLua("if gameplay_garageMode and gameplay_garageMode.isActive() then gameplay_garageMode.setObjectsAutohide(false) end");

  var vm = this

  vm.environment = Environment
  Environment.update()

  $scope.$on('SettingsChanged', function (event, data) {
    vm.dynReflectionEnabled = data.values.GraphicDynReflectionEnabled
    vm.PostFXDOFGeneralEnabled = data.values.PostFXDOFGeneralEnabled
    vm.PostFXSSAOGeneralEnabled = data.values.PostFXSSAOGeneralEnabled
    vm.cameraFreeSmoothMovement = data.values.cameraFreeSmoothMovement
  })

  vm.toggleDynReflection = function () {
    var changeObj = {GraphicDynReflectionEnabled: vm.dynReflectionEnabled}
    bngApi.engineLua(`settings.setState( ${bngApi.serializeToLua(changeObj)} )`)
  }

  vm.toggleDOFPostFX = function () {
    var changeObj = {PostFXDOFGeneralEnabled: vm.PostFXDOFGeneralEnabled}
    bngApi.engineLua(`settings.setState( ${bngApi.serializeToLua(changeObj)} )`)
  }

  vm.toggleSSAOPostFX = function () {
    var changeObj = {PostFXSSAOGeneralEnabled: vm.PostFXSSAOGeneralEnabled}
    bngApi.engineLua(`settings.setState( ${bngApi.serializeToLua(changeObj)} )`)
  }

  vm.toggleCameraFreeSmoothMovement = function () {
    var changeObj = {cameraFreeSmoothMovement: vm.cameraFreeSmoothMovement}
    bngApi.engineLua(`settings.setState( ${bngApi.serializeToLua(changeObj)} )`)
  }

 // bngApi.engineLua('campaign_exploration.activephotomission()')
  bngApi.engineLua('settings.requestState()')
  bngApi.engineLua('Steam.isWorking', function (steamStatus) {
    $scope.$evalAsync(function () {
      vm.steamAvailable = steamStatus
    })
  })
  bngApi.engineLua('campaign_exploration and campaign_photoSafari.photomodeOpen',function(isCampaign){
    $scope.$evalAsync(function () {
      vm.campaingexp = isCampaign
    })
   })
  bngApi.engineLua('scenario_scenarios and scenario_scenarios.getScenario()', function(data) {
    $scope.$evalAsync(function () {
      vm.currentScenario = data
    })
  })

  vm.settings = {
    fov: 60,
    roll: 0,
    speed: 15,
    visible: true,
    showGrid: showPhotomodeGrid.show,
    colorCorrectionStrength: 1,


    // DoF
    autofocus: false,
    dofMaxBlurNear: 0,
    dofMaxBlurFar: 0.15,
    dofFocusRange: 100,
    dofAperture: 100,

    // SSAO
    SSAOContrast: 1.5,
    SSAORadius: 0.5,
    SSAOQuality: 1,

    // Rendering
    // Shadows
    shadowSize: 10,
    shadowDistance: 1600,
    logWeight: 0.98,

    // LOD
    detailAdjust: 1.5,
    lodScale: 0.75,
    GroundCoverScale: 1,

  }

  // Get PostFX values
  var mapKeyToSettings= [
    // ["PostEffectCombinePassObject.colorCorrectionRampPath","colorCorrectionStrength"],
    ["$DOFPostFx::BlurMax","dofMaxBlurFar"],
    ["$DOFPostFx::BlurMin","dofMaxBlurNear"],
    ["$DOFPostFx::FocusRangeMax","dofFocusRange"],
    ["$DOFPostFx::BlurCurveFar","dofAperture"],
    // ["$SSAOPostFx::overallStrength","SSAOContrast"],
    ["$PostFXManager::PostFX::EnableDOF","dofEnabled"],
    ["$PostFXManager::PostFX::EnableSSAO","ssaoEnabled"],
  ]
  bngApi.engineLua('require("util/renderComponentsAPI").getCurrentSettings()',
    (data) => {
      $scope.$evalAsync(() => {
        vm.originalPostSettings = {}
        for(var i = 0; i<mapKeyToSettings.length; i++) {
          vm.settings[mapKeyToSettings[i][1]] = Number(data[mapKeyToSettings[i][0]])
          vm.originalPostSettings[mapKeyToSettings[i][0]] = data[mapKeyToSettings[i][0]]
        }
        vm.enableWatchers()
      })
    }
  )

  // quick fix for reseting the values on enter, but actually that should be doable just by setting the default values after the watchers, so setting them would trigger the watchers...
  bngApi.engineLua( 'setCameraFovDeg(' + vm.settings.fov + ');' )
  bngApi.engineLua( 'core_camera.rollAbs(' + vm.settings.roll + ')' )
  bngApi.engineScript( '$Camera::movementSpeed = ' + vm.settings.speed + ';' )

  bngApi.engineScript('$Camera::movementSpeed', function (speed) {
    $scope.$evalAsync(function () {
      vm.settings.cameraSpeed = Number(speed)
    })
  })

  vm.showSettings   = true
  vm.advancedSettings = false
  vm.showControls = true
  vm.storedTime = 0

  let nodeGrabberVisible = false

  vm.takePic = function() {
    vm.showControls = false
    bngApi.engineLua("extensions.ui_visibility.set(false)")
    bngApi.engineScript('hideCursor();')
    setTimeout(function () {
      if (vm.campaingexp){
          bngApi.engineLua('campaign_photoSafari.takepiccheck()', (val) => {
          vm.objContained = val
          if(vm.objContained){
            console.log("horrieh")
          }
          else{
            console.log("wrong objContained")
           // break
          }
        })
      }
      if (vm.currentScenario){
        if(vm.currentScenario.scenarioName == 'bussafari'){
            bngApi.engineLua('scenario_scenarios.takephoto()')
        }
      }
      bngApi.engineScript('doScreenShot();')
      setTimeout(function() {
        bngApi.engineLua("extensions.ui_visibility.set(true)")
        bngApi.engineScript('showCursor();')
        vm.showControls = true
        $scope.$apply()
      }, 500)
    }, 500)
  }

  vm.doBigScreenShot = function() {
    vm.showControls = false
    bngApi.engineLua("extensions.ui_visibility.set(false)")
    bngApi.engineScript('hideCursor();')
    setTimeout(function() {
      bngApi.engineScript('doBigScreenShot();')
      bngApi.engineLua("extensions.ui_visibility.set(true)")
      bngApi.engineScript('showCursor();')
      vm.showControls = true
      $scope.$apply()
    }, 500)
  }

  vm.doHugeScreenShot = function() {
    vm.showControls = false
    bngApi.engineLua("extensions.ui_visibility.set(false)")
    bngApi.engineScript('hideCursor();')
    setTimeout(function() {
      bngApi.engineScript('doHugeScreenShot();')
      bngApi.engineLua("extensions.ui_visibility.set(true)")
      bngApi.engineScript('showCursor();')
      vm.showControls = true
      $scope.$apply()
    }, 500)
  }

  vm.sharePic = function() {
    vm.showControls = false
    bngApi.engineLua("extensions.ui_visibility.set(false)")
    bngApi.engineScript('hideCursor();')
    setTimeout(function() {
      bngApi.engineLua('screenshot.publish()')
      bngApi.engineLua("extensions.ui_visibility.set(true)")
      bngApi.engineScript('showCursor();')
      vm.showControls = true
      $scope.$apply()
    }, 500)
  }

  vm.steamPic = function() {
    vm.showControls = false
    //$scope.$emit callback system not working, so moved the UI hide before cursor hide in TS
    bngApi.engineLua("extensions.ui_visibility.set(false)")
    //Waiting to make sure hide has executed
    Utils.waitForCefAndAngular(() => {
        bngApi.engineScript('hideCursor();', () => {
          bngApi.engineLua('screenshot.doSteamScreenshot()', () => {
          bngApi.engineLua("extensions.ui_visibility.set(true)")
          vm.showControls = true
          bngApi.engineScript('showCursor();')
          $scope.$apply()
          })
        })
     })
  }

  vm.openScreenshotsFolderInExplorer = function(){
    bngApi.engineLua('screenshot.openScreenshotsFolderInExplorer()')
  }

  vm.toggleSettings = function () {
    vm.settings.visible = !vm.settings.visible
  }

  vm.enableWatchers = function() {

    // Controls
    $scope.$watch('photo.settings.fov', function(value) {
        bngApi.engineLua('setCameraFovDeg(' + value + ')')
    })

    $scope.$watch('photo.settings.cameraSpeed', function(value) {
      bngApi.engineScript( '$Camera::movementSpeed = ' + value + ';' )
    })

    $scope.$watch('photo.settings.roll', function (value) {
      bngApi.engineLua('core_camera.rollAbs(' + (value * 100) + ')' ); // in rads
    })

    $scope.$watch('photo.settings.colorCorrectionStrength', function(value) {
      bngApi.engineScript('PostEffectCombinePassObject.colorCorrectionStrength = ' + value + ';')
    })


    // DOF
    // Autofocus is disabled as we cannot raycast on vehicles
    // $scope.$watch('photo.settings.dofAutofocus', function(value) {
    //   bngApi.engineScript('DOFPostEffect.setAutoFocus( ' + value + ');')
    //   if (value) {
    //     $scope.photo.settings.dofFocusRange = 0
    //   }
    // })

    $scope.$watch('photo.settings.dofMaxBlurNear', function(value) {
      bngApi.engineScript('$DOFPostFx::BlurMin = ' + value + ';')
      bngApi.engineScript( 'ppOptionsUpdateDOFSettings();' )
    })

    $scope.$watch('photo.settings.dofMaxBlurFar', function(value) {
      bngApi.engineScript('$DOFPostFx::BlurMax = ' + value + ';')
      bngApi.engineScript( 'ppOptionsUpdateDOFSettings();' )
    })

    $scope.$watch('photo.settings.dofFocusRange', function(value) {
      bngApi.engineScript('$DOFPostFx::FocusRangeMax = ' + value + ';')
      bngApi.engineScript( 'ppOptionsUpdateDOFSettings();' )
    })

    $scope.$watch('photo.settings.dofAperture', function(value) {
      bngApi.engineScript('$DOFPostFx::BlurCurveFar = ' + value + ';')
      bngApi.engineScript( 'ppOptionsUpdateDOFSettings();' )
    })

    // SSAO
    $scope.$watch('photo.settings.SSAOContrast', function(value) {
      bngApi.engineLua('scenetree.SSAOPostFx:setContrast(' + value + ');')
    })

    $scope.$watch('photo.settings.SSAORadius', function(value) {
      bngApi.engineLua('scenetree.SSAOPostFx:setRadius(' + value + ');')
    })

    $scope.$watch('photo.settings.SSAOQuality', function(value) {
      if (value == 1) {
        $scope.photo.settings.SSAOQualityText = $translate.instant("ui.photomode.SSAOQualityNormal")
        bngApi.engineLua('scenetree.SSAOPostFx:setSamples(16);')
      }
      if (value == 2) {
        $scope.photo.settings.SSAOQualityText = $translate.instant("ui.photomode.SSAOQualityHigh")
        bngApi.engineLua('scenetree.SSAOPostFx:setSamples(64);')
      }
    })

    // Rendering, use with caution
    //console.log(vm.advancedSettings)
    if (!vm.shipping) {
      // Shadows
      $scope.$watch('photo.settings.shadowSize', function(value) {
        $scope.shadowSizeLabel = 1024; // Default slider text value
        if (vm.advancedSettings) { // This ensures shadow is not modified until the slider is operated
          shadowRes = Math.pow(2, value)
          bngApi.engineScript('sunsky.texSize = ' + shadowRes + ';')
          $scope.shadowSizeLabel = shadowRes
        }
      })

      $scope.$watch('photo.settings.shadowDistance', function(value) {
        bngApi.engineScript('sunsky.shadowDistance =' + value + ';')
      })

      $scope.$watch('photo.settings.logWeight', function(value) {
        bngApi.engineScript('sunsky.logWeight =' + value + ';')
      })

      // Level of Details
      $scope.$watch('photo.settings.detailAdjust', function(value) {
        bngApi.engineScript('$pref::TS::detailAdjust =' + value + ';')
      })

      $scope.$watch('photo.settings.lodScale', function(value) {
        bngApi.engineScript('$pref::Terrain::lodScale =' + value + ';')
      })

      $scope.$watch('photo.settings.GroundCoverScale', function(value) {
        bngApi.engineScript('setGroundCoverScale(' + value + ');')
      })
    }
  }


  vm.openPostFXManager = function() {
    console.log("openPostFXManager")
    bngApi.engineScript('Canvas.pushDialog(PostFXManager);')
  }

  bngApi.engineLua('core_environment.getTimeOfDay()',
    (data) => {
      $scope.$evalAsync(() => {
        vm.storedTime = data
      })
    }
  )

  // Get time in 24 hours format
  $scope.$watch('photo.environment.state.time', function(value) {
    bngApi.engineLua('getTimeOfDay(true)',
    (data) => {
      $scope.$evalAsync(() => {
      })
      $scope.timeAsString = data
    })
  })

  // Color Correction
  vm.colorCorrectionRamps = {}
  bngApi.engineLua('require("util/renderComponentsAPI").getColorCorrections()',
  (data) => {
    $scope.$evalAsync(() => {
      vm.colorCorrectionRamps = data
    })
  })

  vm.setColorCorrectionRamp = function ($event, filename) {
    if (filename == -1) {
      // Reset to default
      resetColorCorrectionRamp()
      $scope.showFilterStrength = "1"
    }
    else {
      bngApi.engineScript(`PostEffectCombinePassObject.colorCorrectionRampPath = "${filename}";`)
    }
  }

  function resetColorCorrectionRamp() {
    bngApi.engineScript(`PostEffectCombinePassObject.colorCorrectionRampPath = "";`)
  }
  resetColorCorrectionRamp(); //Make sure default is loaded when opening photomode

  vm.toggleNodeGrabberVisibility = function () {
    if (nodeGrabberVisible === true) {
      nodeGrabberVisible = false
      bngApi.engineLua('Engine.NodeGrabber_setFixedNodesVisible(false)')
    } else {
      nodeGrabberVisible = true
      bngApi.engineLua('Engine.NodeGrabber_setFixedNodesVisible(true)')
    }
  }

  $scope.$on('$destroy', function() {
    //console.debug('Exiting photomode')
    bngApi.engineLua("photoModeOpen = false"); // yes, this is horrible
    bngApi.engineLua("commands.setGameCamera()"); // camera change if the editor was not loaded before
    bngApi.engineLua("MoveManager.rollRelative = 0; if core_camera.savedCameraFov then setCameraFovDeg(core_camera.savedCameraFov) end")
    showPhotomodeGrid.show = vm.settings.showGrid

    // Reset time
    bngApi.engineLua(`core_environment.setTimeOfDay( ${bngApi.serializeToLua(vm.storedTime)} )`)
    vm.environment.state.time = vm.storedTime.time

    // Make UI visible
    bngApi.engineLua("ui_visibility.set(true)")

    // Reset PostFX
    // bngApi.engineScript('DOFPostEffect.setAutoFocus(false);')
    bngApi.engineLua(`require('util/renderComponentsAPI').setMultiSettings( ${bngApi.serializeToLua(vm.originalPostSettings)} )`)
    resetColorCorrectionRamp()

    bngApi.engineLua('Engine:NodeGrabber_setFixedNodesVisible(true)')
  })

}])

