
datablock DecalData(tireTrackDecal)
{
    Material = "tireTrack";
    textureCoordCount = "0";
    size = "0.4";
    lifeSpan = "1800000";
    fadeTime = "1800000";
    fadeStartPixelSize = "5";
    fadeEndPixelSize = "8";
};

singleton SFXProfile(amb_windtrees_01 : EngineTestSound)
{
    filename = "art/sound/environment/amb_windtrees_01.ogg";
};

singleton SFXProfile(amb_birds_01 : amb_windtrees_01)
{
    filename = "art/sound/environment/amb_birds_01.ogg";
};

singleton SFXProfile(music_menu : MenuSound)
{
    filename = "art/sound/music/dicta.ogg";
    preload = true;
};

singleton SFXProfile(amb_rain_medium : amb_windtrees_01)
{
    filename = "art/sound/environment/amb_rain_medium.ogg";
    description = "AudioLoop2D"; //-> is this supposed to be the field "soundProfile"??
};

singleton SFXProfile(amb_beach_close_01 : amb_windtrees_01)
{
    filename = "art/sound/environment/amb_beach_close_01.ogg";
};
singleton SFXProfile(amb_beach_close_02 : amb_beach_close_01)
{
    filename = "art/sound/environment/amb_beach_close_02.ogg";
};

singleton SFXProfile(amb_river_crossing_01 : amb_beach_close_01)
{
    filename = "art/sound/environment/amb_river_crossing_01.ogg";
};


datablock PrecipitationData(Snow_menu)
{
    dropTexture = "art/shapes/particles/Particle_snow.dds";
};

datablock PrecipitationData(rain_medium)
{
    dropTexture = "art/shapes/particles/Particle_rain.dds";
    splashTexture = "art/shapes/particles/Particle_rain_splash.dds";
    dropsPerSide = "1";
    splashesPerSide = "2";
};

datablock LightFlareData(BNG_SunFlare_1 : LightFlareExample2)
{
    flareTexture = "/art/special/BNG_lensFlareSheet0.dds";
    elementTint[1] = "0.945098 0.92549 0.894118 1";
    elementUseLightColor[1] = "0";
    elementRect[8] = "1024 0 128 128";
    elementRect[9] = "1024 0 128 128";
    elementRect[10] = "1024 0 128 128";
    elementDist[8] = "5";
    elementDist[9] = "13";
    elementDist[10] = "-10";
    elementScale[1] = "1";
    elementScale[8] = "0.8";
    elementScale[9] = "3.5";
    elementScale[10] = "0.5";
    elementTint[8] = "1 1 1 1";
    elementTint[9] = "1 1 1 1";
    elementTint[10] = "0.694118 0.694118 0.694118 1";
    elementRotate[8] = "1";
    elementRotate[9] = "1";
    elementRect[11] = "1024 0 128 128";
    elementDist[11] = "-2.5";
    elementScale[11] = "0.3";
    elementTint[11] = "0.694118 0.694118 0.694118 1";
    elementRotate[11] = "1";
    overallScale = "1";
};


datablock ParticleData(lightTestParticle : DefaultParticle)
{
    sizes[0] = "0.997986";
    sizes[1] = "0.997986";
    sizes[2] = "0.997986";
    sizes[3] = "0.997986";
    times[1] = "0.329412";
    times[2] = "0.658824";
    lifetimeMS = "6751";
    lifetimeVarianceMS = "3563";
    colors[0] = "0.996078 0.992157 0.992157 1";
    colors[1] = "0.996078 0.996078 0.992157 0.637795";
    colors[2] = "0.996078 0.992157 0.992157 0.330709";
};

datablock ParticleEmitterData(lightTest1 : DefaultEmitter)
{
    particles = "lightTestParticle";
    ejectionPeriodMS = "20";
    ejectionVelocity = "2";
    velocityVariance = "1";
};

datablock ParticleEmitterNodeData(lightExampleEmitterNodeData1)
{
};

datablock PrecipitationData(rain_drop : rain_medium)
{
    dropTexture = "art/shapes/particles/Particle_rain_drop.dds";
};

datablock LightFlareData(BNG_Sunflare_2 : BNG_SunFlare_1)
{
    flareTexture = "/art/special/BNG_lensFlare_1.dds";
    elementRect[0] = "0 0 512 512";
    elementScale[0] = "1";
    elementUseLightColor[0] = "1";

};

datablock LightFlareData(BNG_SunFlare_3 : LightFlareExample2)
{
    flareTexture = "art/special/BNG_sunFlare_3.png";
    elementTint[1] = "1 0.899999976 0.699999988 1";
    elementUseLightColor[1] = "1";
    elementRect[8] = "1024 256 256 256";
    elementRect[9] = "1280 256 256 256";
    elementRect[10] = "0 0 0 0";
    elementDist[8] = "2";
    elementDist[9] = "-0.5";
    elementDist[10] = "-10";
    elementScale[1] = "1";
    elementScale[8] = "0.5";
    elementScale[9] = "0.100000001";
    elementScale[10] = "0.5";
    elementTint[8] = "1 1 0.5 1";
    elementTint[9] = "0.899999976 1 0.5 1";
    elementTint[10] = "0.694118 0.694118 0.694118 1";
    elementRotate[8] = "1";
    elementRotate[9] = "1";
    elementRect[11] = "0 0 0 0";
    elementDist[11] = "-2.5";
    elementScale[11] = "0.3";
    elementTint[11] = "0.694118 0.694118 0.694118 1";
    elementRotate[11] = "1";
    overallScale = "1";
   elementRect[0] = "0 0 512 512";
   elementRect[1] = "512 0 512 512";
   elementRect[2] = "0 512 512 512";
   elementRect[3] = "1024 0 256 256";
   elementRect[4] = "1024 0 256 256";
   elementRect[5] = "1024 0 256 256";
   elementRect[6] = "1024 0 256 256";
   elementRect[7] = "1024 0 256 256";
   elementDist[2] = "0";
   elementDist[3] = "1.04999995";
   elementDist[4] = "1.125";
   elementScale[4] = "0.25";
   elementTint[0] = "1 0.899999976 0.699999988 1";
   elementTint[2] = "1 0.899999976 0.699999988 1";
   elementTint[3] = "1 0.699999988 0.5 1";
   elementTint[4] = "0.949999988 0.899999976 0.5 1";
   elementRotate[0] = "0";
   elementUseLightColor[0] = "1";
   elementScale[0] = "0.300000012";
   elementRotate[1] = "0";
   elementDist[5] = "1.20000005";
   elementScale[2] = "0.200000003";
   elementScale[3] = "0.200000003";
   elementScale[5] = "0.300000012";
   elementTint[5] = "0.800000012 1 0.800000012 1";
   elementRotate[2] = "1";
   elementDist[6] = "1.29999995";
   elementDist[7] = "1.39999998";
   elementScale[7] = "0.400000006";
   elementTint[6] = "0.699999988 0.949999988 1 1";
   elementTint[7] = "0.5 0.899999976 1 1";
   elementUseLightColor[8] = "1";
   elementUseLightColor[9] = "1";
};


datablock ParticleData(targetParticle : DefaultParticle)
{
    sizes[0] = "1";
    sizes[1] = "3";
    sizes[2] = "6";
    sizes[3] = "20";
    times[1] = "0.329412";
    times[2] = "0.894118";
    lifetimeMS = "6751";
    lifetimeVarianceMS = "5437";
    colors[0] = "1 0 0.0314961 1";
    colors[1] = "0 1 0.0787402 0.984252";
    colors[2] = "1 0 0.0314961 1";
   colors[3] = "0.992126 0 0.0314961 0.00787402";
   constantAcceleration = "3.333";
};

datablock ParticleEmitterData(targetEmitter : DefaultEmitter)
{
    particles = "targetParticle";
    ejectionPeriodMS = "10";
    ejectionVelocity = "2";
    velocityVariance = "1";
   ejectionOffset = "0";
   thetaMax = "63.75";
   blendStyle = "NORMAL";
};


singleton SFXAmbience(SnapshotTrigger)
{
   soundTrack = "event:>Snapshot_Trigger";
   order_simset = "0";
};

singleton SFXAmbience(Level_Tunnel_Closed)
{
   soundTrack = "snapshot:>Level Tunnel Closed";
};


singleton SFXAmbience(Level_Tunnel_Open_Dynamic)
{
   soundTrack = "snapshot:>Level Tunnel Open Dynamic 2D";
};

singleton SFXAmbience(Level_Tunnel_Closed_Dynamic)
{
   soundTrack = "snapshot:>Level Tunnel Closed Dynamic 2D";
};

singleton SFXAmbience(Level_Tunnel_Open)
{
   soundTrack = "snapshot:>Level Tunnel Open";
};

singleton SFXAmbience(Level_Tunnel_Racetrack_Dynamic)
{
   soundTrack = "snapshot:>Level Racetrack Dynamic 2D";
};

singleton SFXAmbience(Level_Under_Bridge_B)
{
   soundTrack = "snapshot:>Level Bridge B";
};

singleton SFXAmbience(Level_Under_Bridge_A)
{
   soundTrack = "snapshot:>Level Bridge A";
};

singleton SFXAmbience(Level_Parking_House)
{
   soundTrack = "snapshot:>Level Parking Garage";
};

singleton SFXAmbience(Level_Under_Bridge)
{
   soundTrack = "snapshot:>Level Under Bridge";
};

singleton SFXAmbience(Reverb_IT_Open)
{
   soundTrack = "snapshot:>Reverb_IT_Open";
};

singleton SFXAmbience(Reverb_IT_Mountains)
{
   soundTrack = "snapshot:>Reverb_IT_Mountains";
};

singleton SFXAmbience(Reverb_WC_City)
{
   soundTrack = "snapshot:>Reverb_WC_City";
};

singleton SFXAmbience(Reverb_WC_Open)
{
   soundTrack = "snapshot:>Reverb_WC_Open";
};

singleton SFXAmbience(Reverb_IS_Port)
{
   soundTrack = "snapshot:>Reverb_IS_Port";
   VizColor = "1 0 0.0352941006 0.0489999987";
};

singleton SFXAmbience(Reverb_EC)
{
   soundTrack = "snapshot:>Reverb_EC";
};

singleton SFXAmbience(Reverb_UT)
{
   soundTrack = "snapshot:>Reverb_UT";
};

singleton SFXAmbience(Reverb_JR)
{
   soundTrack = "snapshot:>Reverb_JR";
};

singleton SFXAmbience(Reverb_IS_Open)
{
   soundTrack = "snapshot:>Reberb_IS_Open";
   order_simset = "0";
};

singleton SFXAmbience(Reverb_SI)
{
   soundTrack = "snapshot:>Reverb_SI";
};

singleton SFXAmbience(Reverb_ETK)
{
   soundTrack = "snapshot:>Reverb_ETK";
};

singleton SFXAmbience(Reverb_DA)
{
   soundTrack = "snapshot:>Reverb_DA";
};

singleton SFXAmbience(Reverb_CD_Showroom)
{
   soundTrack = "snapshot:>Reverb_CD_Showroom";
};

singleton SFXAmbience(Reverb_CL)
{
   soundTrack = "snapshot:>Reverb_CL";
};

singleton SFXAmbience(Reverb_GA)
{
   soundTrack = "snapshot:>Reverb_GA";
};

singleton SFXAmbience(Reverb_ATT_Mountains)
{
   soundTrack = "snapshot:>Reverb_ATT_Mountains";
   VizColor = "1 0 0.545098007 0.176470995";
};

singleton SFXAmbience(Reverb_ATT_Dam)
{
   soundTrack = "snapshot:>Reverb_ATT_Dam";
   VizColor = "0 1 0.894118011 0.176470995";
};

singleton SFXAmbience(Reverb_ATT_Forest)
{
   soundTrack = "snapshot:>Reverb_ATT_Forest";
   VizColor = "1 0.803921998 0 0.176470995";
};

singleton SFXAmbience(Reverb_IT_Towns)
{
   soundTrack = "snapshot:>Reverb_IT_Town";
   VizColor = "1 0 0.243137002 0.231000006";
};

singleton SFXAmbience(Amb_Ocean_523)
{
   VizColor = "0 0.0588234998 1 0.176470995";
   soundTrack = "event:>Ambient>2D>IT_Ocean";
};

singleton SFXAmbience(Amb_ATT_Mountain)
{
   soundTrack = "event:>Ambient>2D>ATT_Mountain";
   VizColor = "1 0.0588234998 0 0.176470995";
};

singleton SFXAmbience(Amb_ATT_Generic)
{
   soundTrack = "event:>Ambient>2D>ATT_Generic";
   VizColor = "0.917647004 1 0 0.176470995";
};

singleton SFXAmbience(Amb_EC_Forest_Coast)
{
   soundTrack = "event:>Ambient>2D>EC_Forest_Coast";
   VizColor = "0.0705882162 0.557635367 0.956862807 0.176470593";
   order_simset = "18153748";
};

singleton SFXAmbience(Amb_EC_Forest_Main)
{
   soundTrack = "event:>Ambient>2D>EC_Forest_Main";
   VizColor = "0.0705882162 0.956862807 0.0955193639 0.176470593";
   order_simset = "104400443";
};

singleton SFXAmbience(Amb_EC_Forest_River)
{
   soundTrack = "event:>Ambient>2D>EC_Forest_River";
   VizColor = "0.400577515 0.0705882162 0.956862807 0.176470593";
   order_simset = "177539732";
};

singleton SFXAmbience(Amb_EC_Forest_Sparse)
{
   VizColor = "0.0705882162 0.956862807 0.84252435 0.176470593";
   order_simset = "111019679";
};

singleton SFXAmbience(Amb_EC_Forest_Corner)
{
   VizColor = "0.956862807 0.0705882162 0.602736175 0.176470593";
   order_simset = "230559167";
};






singleton SFXAmbience(Amb_SI_Field)
{
   soundTrack = "event:>Ambient>2D>SI_Field";
   VizColor = "0.652598381 0.956862807 0.0705882162 0.176470593";
   order_simset = "310252159";
};

singleton SFXAmbience(Amb_SI_Mountain)
{
   soundTrack = "event:>Ambient>2D>SI_Mountain";
   VizColor = "0.0705882162 0.627667129 0.956862807 0.176470593";
   order_simset = "317002468";
};

singleton SFXAmbience(Amb_IS_Field)
{
   soundTrack = "event:>Ambient>2D>IS_Field";
   VizColor = "0.34912768 0.956862807 0.0705882162 0.176470593";
   order_simset = "24707451";
};

singleton SFXAmbience(Amb_IS_Field)
{
   soundTrack = "event:>Ambient>2D>IS_Field";
};

singleton SFXAmbience(Amb_IS_Industrial)
{
   soundTrack = "event:>Ambient>2D>IS_Industrial";
   VizColor = "0.870588005 0 1 0.176470995";
};

singleton SFXAmbience(Amb_CD_Parking_Area)
{
   soundTrack = "event:>Ambient>2D>CD_Parking_Area";
   VizColor = "0.867455721 0.0705882162 0.956862807 0.176470593";
   order_simset = "44630699";
};

singleton SFXAmbience(Amb_CD_Field)
{
   soundTrack = "event:>Ambient>2D>CD_Field";
   VizColor = "0.699286222 0.956862807 0.0705882162 0.176470593";
   order_simset = "197462980";
};

singleton SFXAmbience(Amb_CD_Room_Tone)
{
   soundTrack = "event:>Ambient>2D>CD_Showroom";
   VizColor = "0.0705882162 0.604323089 0.956862807 0.176470593";
   order_simset = "257232724";
};

singleton SFXAmbience(Amb_CD_Room_Tone)
{
   soundTrack = "event:>Ambient>2D>CD_Showroom";
};

singleton SFXAmbience(Amb_WC_City)
{
   soundTrack = "event:>Ambient>2D>WC_City";
   VizColor = "0.956862807 0.0705882162 0.0705882162 0.176470593";
   order_simset = "-1105730204";
};

singleton SFXAmbience(Amb_WC_Empty)
{
   soundTrack = "event:>Ambient>2D>WC_Empty";
   VizColor = "0.90938139 0.956862807 0.0705882162 0.176470593";
   order_simset = "270405663";
};

singleton SFXAmbience(Amb_WC_Forest)
{
   soundTrack = "event:>Ambient>2D>WC_Forest";
   VizColor = "0.0705882162 0.956862807 0.865868211 0.176470593";
   order_simset = "130942927";
};

singleton SFXAmbience(Amb_WC_Mountain)
{
   soundTrack = "event:>Ambient>2D>WC_Mountain";
   VizColor = "0.0705882162 0.417572141 0.956862807 0.176470593";
   order_simset = "137693236";
};

singleton SFXAmbience(Amb_WC_Town)
{
   soundTrack = "event:>Ambient>2D>WC_Town";
   VizColor = "0.704048157 0.0705882162 0.956862807 0.176470593";
   order_simset = "144246939";
};

singleton SFXAmbience(Amb_WC_Town)
{
   soundTrack = "event:>Ambient>2D>WC_Town";
};

singleton SFXAmbience(Amb_IT_Town)
{
   VizColor = "1 0.823529005 0 0.176470995";
   soundTrack = "event:>Ambient>2D>IT_Town";
};

singleton SFXAmbience(Amb_IT_Field_02)
{
   soundTrack = "event:>Ambient>2D>IT_Field_02";
   VizColor = "0.847059011 1 0 0.379999995";
};

singleton SFXAmbience(Amb_IT_Hill_02)
{
   soundTrack = "event:>Ambient>2D>IT_Hill_02";
   VizColor = "0 1 0.917647004 0.176470995";
};

singleton SFXAmbience(Amb_IT_Hill_01)
{
   soundTrack = "event:>Ambient>2D>IT_Hill_01";
   VizColor = "1 0 0.823529005 0.176470995";
};

singleton SFXAmbience(Amb_IT_Mountain)
{
   soundTrack = "event:>Ambient>2D>IT_Mountain";
   VizColor = "0.082352899 0 1 0.176470995";
};

singleton SFXAmbience(Amb_IT_Mountain)
{
   soundTrack = "event:>Ambient>2D>IT_Mountain";
};

singleton SFXAmbience(Amb_IT_Field_01)
{
   soundTrack = "event:>Ambient>2D>IT_Field_01";
   VizColor = "0 1 0.0117646996 0.176470995";
};





singleton SFXAmbience(Amb_JR_767)
{
   soundTrack = "event:>Ambient>2D>Jungle QP07 0767";
   VizColor = "0 1 0.454901993 0.176470995";
};


singleton SFXAmbience(Amb_JR_Felix)
{
   soundTrack = "event:>Ambient>2D>Jungle Felix";
   VizColor = "0.847059011 1 0 0.176470995";
};





singleton SFXAmbience(Amb_JR_Amazon)
{
   soundTrack = "event:>Ambient>2D>Jungle Amazon";
   VizColor = "0.0705882162 0.956862807 0.0721755102 0.176470593";
   order_simset = "74777716";
};



singleton SFXAmbience(Amb_JR_Amazon)
{
   soundTrack = "event:>Ambient>2D>Jungle Amazon";
};

singleton SFXAmbience(Amb_JR_693)
{
   soundTrack = "event:>Ambient>2D>Jungle QP07 0693";
   VizColor = "1 0 0.243137002 0.176470995";
};

singleton SFXAmbience(Amb_JR_699)
{
   soundTrack = "event:>Ambient>2D>Jungle QP07 0699";
   VizColor = "0.313726008 0 1 0.176470995";
};

singleton SFXAmbience(Amb_JR_739)
{
   soundTrack = "event:>Ambient>2D>Jungle QP07 0739";
   VizColor = "0 0.662744999 1 0.176470995";
};

singleton SFXAmbience(Amb_JR_739)
{
   soundTrack = "event:>Ambient>2D>Jungle QP07 0739";
};

singleton SFXAmbience(Amb_EC_Town)
{
   soundTrack = "event:>Ambient>2D>EC_Town";
   VizColor = "0.956862807 0.0705882162 0.0705882162 0.176470593";
   order_simset = "-1097212310";
};

singleton SFXAmbience(Amb_EC_Town)
{
   soundTrack = "event:>Ambient>2D>EC_Town";
};

singleton SFXAmbience(Amb_IT_Ocean)
{
   soundTrack = "event:>Ambient>2D>IT_Ocean";
   VizColor = "0.243137002 0 1 0.176470995";
};

singleton SFXAmbience(Amb_WC_Bridge)
{
   soundTrack = "event:>Ambient>2D>WC_Bridge";
   VizColor = "0.956862807 0.0705882162 0.67276752 0.176470593";
   order_simset = "157616484";
};

singleton SFXAmbience(Amb_WC_Bridge)
{
   soundTrack = "event:>Ambient>2D>WC_Bridge";
};

singleton SFXAmbience(Amb_WC_Field)
{
   soundTrack = "event:>Ambient>2D>WC_Field";
   VizColor = "0.656692863 1 0 0.176470995";
   order_simset = "58000244";
};

singleton SFXAmbience(Amb_Water_Laps_Rock)
{
   VizColor = "0.454901993 0 1 0.176470995";
   soundTrack = "event:>Ambient>2D>Water_QP05_460";
};

singleton SFXAmbience(Reverb_SI_Rocks)
{
   soundTrack = "snapshot:>Reverb_SI_Rocks";
};

singleton SFXAmbience(Amb_Water_Laps_Wood)
{
   VizColor = "0 0.894118011 1 0.176470995";
   order_simset = "192482171";
};


singleton SFXAmbience(Level_Building_Reverb_Large)
{
   VizColor = "0.686275005 0 1 0.176470995";
   soundTrack = "snapshot:>Level Building Reverb Large";
};

singleton SFXAmbience(Level_Building_Reverb_Medium)
{
   VizColor = "0.082352899 1 0 0.176470995";
   soundTrack = "snapshot:>Level Building Reverb Medium";
};

singleton SFXAmbience(Level_Building_Filter_Only)
{
   soundTrack = "snapshot:>Level Building Filter Only";
   VizColor = "0 1 0.290196002 0.176470995";
};


datablock SFXAmbience(Amb_UT_Roaring)
{
   soundTrack = "event:>Ambient>2D>UT_Wind_Roaring";
   VizColor = "0.0971068963 0.0705882162 0.956862807 0.176470593";
   order_simset = "0";
};

datablock SFXAmbience(Amb_UT_Roaring)
{
   soundTrack = "event:>Ambient>2D>UT_Wind_Roaring";
   VizColor = "0.0971068963 0.0705882162 0.956862807 0.176470593";
   order_simset = "0";
};

datablock SFXAmbience(Amb_UT_Vegetation)
{
   VizColor = "0.279095948 0.956862807 0.0705882162 0.176470593";
   order_simset = "0";
   soundTrack = "event:>Ambient>2D>UT_Wind_Vegetation";
};

datablock SFXAmbience(Amb_EC_Field)
{
   soundTrack = "event:>Ambient>2D>EC_Field";
   order_simset = "0";
};

datablock SFXAmbience(Amb_IS_Port)
{
   soundTrack = "event:>Ambient>2D>IS_Port";
};
